Subject: RE: admin dist/gp spec proposal

From: "Natale, Jonathan" <[email-masked]>
Date: Fri, 6 Sep 2002 15:40:43 -0400

1745 and 1403 are historic

-----Original Message-----
From: Abarbanel, Benjamin [mailto:[email-masked]] 
Sent: Friday, September 06, 2002 3:38 PM
To: 'Natale, Jonathan'; Abarbanel, Benjamin; 'Yakov Rekhter'
Cc: [email-masked]
Subject: RE: admin dist/gp spec proposal 

> 
> Not that I am aware of.  There certainly is a case where they 
> must be the
> same (cisco bgp w/ ospf, don't know all the details of 
> how/why).  

RFC1745, and RFC1403 tell you why they must be the same.

> Maybe the local admin method of numbering is more versatile by allowing 
> them to be different.  I think they should MUST be the same and in some 
> implementation they are (gated, bay).
> 
> -----Original Message-----
> From: Abarbanel, Benjamin [mailto:[email-masked]] 
> Sent: Friday, September 06, 2002 3:29 PM
> To: 'Yakov Rekhter'; Abarbanel, Benjamin
> Cc: Natale, Jonathan; [email-masked]
> Subject: RE: admin dist/gp spec proposal 
> 
> 
> > 
> > > I would like to rephrase my statement on one sentence.
> > > 
> > > " BTW. BGP Identifier is a vague way of naming what we know as the
> > >   Router-ID in all other IP related protocols."
> > 
> > This is *technically* incorrect. 
> >
> Is there a case where the BGP Identifier, should or must be 
> different than
> the Router-ID for the routing system to work correctly?
> 
> Ben
> 
>  
> > 
> > > 
> > > 
> > > > -----Original Message-----
> > > > From: Abarbanel, Benjamin 
> [mailto:[email-masked]]
> > > > Sent: Friday, September 06, 2002 3:01 PM
> > > > To: 'Yakov Rekhter'; Natale, Jonathan
> > > > Cc: [email-masked]
> > > > Subject: RE: admin dist/gp spec proposal 
> > > > 
> > > > 
> > > > Yakov:
> > > >   There is no reference to RFC1812 in the reference section 
> > > > nor references 
> > > > to this spec where appropriate in the BGP relevant 
> > > > discussions. As was 
> > > > earlier mentioned. At least we need to tie the thread 
> > between the two
> > > > specs so people know what the assumptions are.  
> > > > 
> > > > BTW. BGP Identifier is a very misleading way of naming what 
> > > > we know as the
> > > > Router ID in all other protocols. I would like to suggest we 
> > > > enhance its 
> > > > description as follows:
> > > > 
> > > > Current statement:
> > > > ==================
> > > > "BGP Identifier:
> > > > 
> > > >          This 4-octet unsigned integer indicates the BGP 
> > Identifier of
> > > >          the sender. A given BGP speaker sets the value 
> of its BGP
> > > >          Identifier to an IP address assigned to that BGP 
> > > > speaker.  The
> > > >          value of the BGP Identifier is determined on startup 
> > > > and is the
> > > >          same for every local interface and every BGP peer. "
> > > > 
> > > > New Statement:
> > > > ==============
> > > > "BGP Identifier:
> > > > 
> > > >          This 4-octet unsigned integer indicates the BGP 
> > Identifier of
> > > >          the sender. A given BGP speaker sets the value 
> of its BGP
> > > >          Identifier also known as the Router-ID, to an IP 
> > > > address assigned 
> > > >          to that BGP speaker. The value of the BGP 
> Identifier is 
> > > >          determined on startup and is the same for every 
> > > > local interface 
> > > >          and every BGP peer and other IP related protocols. 
> > > > See [x],[y] for 
> > > >          more details on Router-ID useage between BGP and 
> > > > other protocols."
> > > > 
> > > > Where x = RFC1403,
> > > >       y = RFC1745
> > > > 
> > > > Ben
> > > > > -----Original Message-----
> > > > > From: Yakov Rekhter [mailto:[email-masked]]
> > > > > Sent: Friday, September 06, 2002 2:31 PM
> > > > > To: Natale, Jonathan
> > > > > Cc: [email-masked]
> > > > > Subject: Re: admin dist/gp spec proposal 
> > > > > 
> > > > > 
> > > > > Natale,
> > > > > 
> > > > > > 
> > > > > > 
> > > > > > -----Original Message-----
> > > > > > From: Abarbanel, Benjamin 
> > [mailto:[email-masked]] 
> > > > > > Sent: Friday, September 06, 2002 1:49 PM
> > > > > > To: 'Natale, Jonathan'
> > > > > > Subject: RE: admin dist/gp spec proposal
> > > > > > 
> > > > > > Jonathan:
> > > > > > Forward this message to the IDR list. I think we 
> dropped off.
> > > > > > 
> > > > > > Ben
> > > > > > 
> > > > > > > -----Original Message-----
> > > > > > > From: Natale, Jonathan [mailto:[email-masked]]
> > > > > > > Sent: Friday, September 06, 2002 1:46 PM
> > > > > > > To: 'Abarbanel, Benjamin'
> > > > > > > Subject: RE: admin dist/gp spec proposal
> > > > > > > 
> > > > > > > 
> > > > > > > I agree.  The default values of the various 
> > protocols as they 
> > > > > > > are currently
> > > > > > > implemented make sense:
> > > > > > > Connected
> > > > > > > Static
> > > > > > > Ebgp
> > > > > > > Igp's
> > > > > > > Ibgp
> > > > > > > 
> > > > > > > ...they should be documented in 1812 ideally, but 
> > putting it 
> > > > > > > in 1771 would
> > > > > > > not hurt.  Added a phrase to indicate that they 
> may be user 
> > > > > > > configurable is
> > > > > > > good too.
> > > > > 
> > > > > Perhaps it is time to update 1812. But let's not use BGP
> > > > > spec as a replacement for updating 1812 - it is not.
> > > > > 
> > > > > Yakov.
> > > > > 
> > > > > > > 
> > > > > > > -----Original Message-----
> > > > > > > From: Abarbanel, Benjamin 
> > > [mailto:[email-masked]] 
> > > > > > Sent: Friday, September 06, 2002 11:39 AM
> > > > > > To: 'Mathew Richardson'; Natale, Jonathan
> > > > > > Cc: [email-masked]
> > > > > > Subject: RE: admin dist/gp spec proposal
> > > > > > 
> > > > > > 
> > > > > > 
> > > > > >  
> > > > > > > 
> > > > > > > > Natale, Jonathan <[email-masked]> 
> > [Fri, Sep 06, 
> > > > > > > 2002 at 10:53:40AM -0400]:
> > > > > > > >Add sect. in bgp draft stating that ebgp routes 
> should be 
> > > > > > > preferred over any
> > > > > > > >igp routes and any igp routes should be preferred 
> > over ibgp 
> > > > > > > routes.  The
> > > > > > > >exception to this is igp summary routes may be preferred 
> > > > > > > over ebgp routes.
> > > > > > > 
> > > > > > > The EBGP vs. IBGP is already covered in section 
> > > > 9.1.2.2.  As to how
> > > > > > > BGP and non-BGP routes interact, I suspect that 
> that really 
> > > > > > > should remain
> > > > > > > largely a local policy matter.  A BCP is probably in 
> > > > order (does one
> > > > > > > on this topic already exist?)
> > > > > > >
> > > > > > Clearly the BGP and non-BGP route competition for dominance 
> > > > > > in the routing
> > > > > > table is firstly, defaulted and secondly policy 
> over-written 
> > > > > > by a local
> > > > > > router administrator.  Just some mention of operational 
> > > > > > impact by turning 
> > > > > > some policy knobs and changing certain route selection 
> > > > > > decisions and their 
> > > > > > control plane impacts will be nice. Maybe this belongs in a 
> > > > > > different spec.
> > > > > > 
> > > > > > I find spreading the knowledge across many specs a bit 
> > > > inconvenient.
> > > > > > 
> > > > > > IMHO,
> > > > > > Ben
> > > > > > 
> > > > 
> > 
>

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 06 Sep 2002 12:43:17 -0700

Natale,

> 1745 and 1403 are historic

correct. And with this in mind I would suggest we stop reference/pointing
to them.

Yakov.

---

From: Manav Bhatia <[email-masked]>
Date: Mon, 09 Sep 2002 13:30:24 +0530

Yakov and others,
draft-ietf-isis-traffic-04.txt states that if some router advertises the
router ID TLV (containing the 4-octet router ID of the router originating
the LSP) in its LSP, and if it also advertises BGP routes with the BGP next
hop set to the BGP router ID (which is what is usually done), then in such
cases, the TE router ID should match the BGP router ID.

I think this warrants the need to mention that the BGP Router ID *should*
match the Router ID as used by the other routing protocols. Moreover i dont
see any need for the router IDs to *not* match for the BGP and IGPs and i
am sure that there will not be any operators assigning different Router IDs
for the same.

Or am i missing something here?

Manav

----- Original Message -----
From: "Yakov Rekhter" <[email-masked]>
To: "Natale, Jonathan" <[email-masked]>
Cc: "'Abarbanel, Benjamin'" <[email-masked]>;
<[email-masked]>
Sent: Saturday, September 07, 2002 1:13 AM
Subject: Re: admin dist/gp spec proposal

| Natale,
|
| > 1745 and 1403 are historic
|
| correct. And with this in mind I would suggest we stop reference/pointing
| to them.
|
| Yakov.
|
| > -----Original Message-----
| > From: Abarbanel, Benjamin [mailto:[email-masked]]
| > Sent: Friday, September 06, 2002 3:38 PM
| > To: 'Natale, Jonathan'; Abarbanel, Benjamin; 'Yakov Rekhter'
| > Cc: [email-masked]
| > Subject: RE: admin dist/gp spec proposal
| >
| >
| >
| > >
| > > Not that I am aware of.  There certainly is a case where they
| > > must be the
| > > same (cisco bgp w/ ospf, don't know all the details of
| > > how/why).
| >
| > RFC1745, and RFC1403 tell you why they must be the same.
| >
| > > Maybe the local admin method of numbering is more versatile by
allowing
| > > them to be different.  I think they should MUST be the same and in
some
| > > implementation they are (gated, bay).
| > >
| > > -----Original Message-----
| > > From: Abarbanel, Benjamin [mailto:[email-masked]]
| > > Sent: Friday, September 06, 2002 3:29 PM
| > > To: 'Yakov Rekhter'; Abarbanel, Benjamin
| > > Cc: Natale, Jonathan; [email-masked]
| > > Subject: RE: admin dist/gp spec proposal
| > >
| > >
| > > >
| > > > > I would like to rephrase my statement on one sentence.
| > > > >
| > > > > " BTW. BGP Identifier is a vague way of naming what we know as
the
| > > > >   Router-ID in all other IP related protocols."
| > > >
| > > > This is *technically* incorrect.
| > > >
| > > Is there a case where the BGP Identifier, should or must be
| > > different than
| > > the Router-ID for the routing system to work correctly?
| > >
| > > Ben
| > >
| > >
| > > >
| > > > >
| > > > >
| > > > > > -----Original Message-----
| > > > > > From: Abarbanel, Benjamin
| > > [mailto:[email-masked]]
| > > > > > Sent: Friday, September 06, 2002 3:01 PM
| > > > > > To: 'Yakov Rekhter'; Natale, Jonathan
| > > > > > Cc: [email-masked]
| > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > >
| > > > > >
| > > > > > Yakov:
| > > > > >   There is no reference to RFC1812 in the reference section
| > > > > > nor references
| > > > > > to this spec where appropriate in the BGP relevant
| > > > > > discussions. As was
| > > > > > earlier mentioned. At least we need to tie the thread
| > > > between the two
| > > > > > specs so people know what the assumptions are.
| > > > > >
| > > > > > BTW. BGP Identifier is a very misleading way of naming what
| > > > > > we know as the
| > > > > > Router ID in all other protocols. I would like to suggest we
| > > > > > enhance its
| > > > > > description as follows:
| > > > > >
| > > > > > Current statement:
| > > > > > ==================
| > > > > > "BGP Identifier:
| > > > > >
| > > > >          This 4-octet unsigned integer indicates the BGP
| > > > Identifier of
| > > > > >          the sender. A given BGP speaker sets the value
| > > of its BGP
| > > > > >          Identifier to an IP address assigned to that BGP
| > > > > > speaker.  The
| > > > > >          value of the BGP Identifier is determined on startup
| > > > > > and is the
| > > > > >          same for every local interface and every BGP peer. "
| > > > > >
| > > > > > New Statement:
| > > > > > ==============
| > > > > > "BGP Identifier:
| > > > > >
| > > > > >          This 4-octet unsigned integer indicates the BGP
| > > > Identifier of
| > > > > >          the sender. A given BGP speaker sets the value
| > > of its BGP
| > > > > >          Identifier also known as the Router-ID, to an IP
| > > > > > address assigned
| > > > > >          to that BGP speaker. The value of the BGP
| > > Identifier is
| > > > > >          determined on startup and is the same for every
| > > > > > local interface
| > > > > >          and every BGP peer and other IP related protocols.
| > > > > > See [x],[y] for
| > > > > >          more details on Router-ID useage between BGP and
| > > > > > other protocols."
| > > > > >
| > > > > > Where x = RFC1403,
| > > > > >       y = RFC1745
| > > > > >
| > > > > > Ben
| > > > > > > -----Original Message-----
| > > > > > > From: Yakov Rekhter [mailto:[email-masked]]
| > > > > > > Sent: Friday, September 06, 2002 2:31 PM
| > > > > > > To: Natale, Jonathan
| > > > > > > Cc: [email-masked]
| > > > > > > Subject: Re: admin dist/gp spec proposal
| > > > > > >
| > > > > > >
| > > > > > > Natale,
| > > > > > >
| > > > > > > >
| > > > > > > >
| > > > > > > > -----Original Message-----
| > > > > > > > From: Abarbanel, Benjamin
| > > > [mailto:[email-masked]]
| > > > > > > > Sent: Friday, September 06, 2002 1:49 PM
| > > > > > > > To: 'Natale, Jonathan'
| > > > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > > > >
| > > > > > > > Jonathan:
| > > > > > > > Forward this message to the IDR list. I think we
| > > dropped off.
| > > > > > > >
| > > > > > > > Ben
| > > > > > > >
| > > > > > > > > -----Original Message-----
| > > > > > > > > From: Natale, Jonathan [mailto:[email-masked]]
| > > > > > > > > Sent: Friday, September 06, 2002 1:46 PM
| > > > > > > > > To: 'Abarbanel, Benjamin'
| > > > > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > > > > >
| > > > > > > > >
| > > > > > > > > I agree.  The default values of the various
| > > > protocols as they
| > > > > > > > > are currently
| > > > > > > > > implemented make sense:
| > > > > > > > > Connected
| > > > > > > > > Static
| > > > > > > > > Ebgp
| > > > > > > > > Igp's
| > > > > > > > > Ibgp
| > > > > > > > >
| > > > > > > > > ...they should be documented in 1812 ideally, but
| > > > putting it
| > > > > > > > > in 1771 would
| > > > > > > > > not hurt.  Added a phrase to indicate that they
| > > may be user
| > > > > > > > > configurable is
| > > > > > > > > good too.
| > > > > > >
| > > > > > > Perhaps it is time to update 1812. But let's not use BGP
| > > > > > > spec as a replacement for updating 1812 - it is not.
| > > > > > >
| > > > > > > Yakov.
| > > > > > >
| > > > > > > > >
| > > > > > > > > -----Original Message-----
| > > > > > > > > From: Abarbanel, Benjamin
| > > > > [mailto:[email-masked]]
| > > > > > > > Sent: Friday, September 06, 2002 11:39 AM
| > > > > > > > To: 'Mathew Richardson'; Natale, Jonathan
| > > > > > > > Cc: [email-masked]
| > > > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > > > >
| > >

---

From: [email-masked]
Date: Mon, 9 Sep 2002 11:36:39 -0700

So, how about this text as a middle ground:

BGP Identifier:

         This 4-octet unsigned integer indicates the BGP Identifier of
         the sender. A given BGP speaker sets the value of its BGP
         Identifier to an IP address assigned to that BGP speaker.  The
         value of the BGP Identifier is determined on startup and is the
         same for every local interface and every BGP peer.  BGP Identifier
         is analogous to the Router ID field present in ISIS or OSPF.  
         BGP Identifier and Router ID SHOULD be the same.

Andrew

On Mon, Sep 09, 2002 at 01:30:24PM +0530, Manav Bhatia wrote:
> Delivered-To: [email-masked]
> Delivered-To: [email-masked]
> Delivered-To: [email-masked]
> Date: Mon, 09 Sep 2002 13:30:24 +0530
> From: Manav Bhatia <[email-masked]>
> To: Yakov Rekhter <[email-masked]>,
>    "Natale, Jonathan" <[email-masked]>
> Cc: "'Abarbanel, Benjamin'" <[email-masked]>, [email-masked]
> Reply-To: Manav Bhatia <[email-masked]>
> X-MIMEOLE: Produced By Microsoft MimeOLE V6.00.2600.0000
> X-Mailer: Microsoft Outlook Express 6.00.2600.0000
> X-Priority: 3
> X-MSMail-priority: Normal
> Precedence: bulk
> X-OriginalArrivalTime: 09 Sep 2002 08:03:27.0102 (UTC) FILETIME=[60A841E0:01C257D7]
> 
> Yakov and others,

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 09 Sep 2002 11:49:38 -0700

Andrew,

>          BGP Identifier and Router ID SHOULD be the same.

Please read the attached.

Yakov.
------------------------------------------------------------------
Date:    Fri, 06 Sep 2002 12:59:07 PDT
To:      [email-masked]
From:    Yakov Rekhter <[email-masked]>
Subject: BGP base spec

Folks,

The spec is *limited* to BGP protocol. It does *NOT* include
interaction between BGP and other protocols (e.g., OSPF, ISIS,
RIP). Therefore such issues as relation between BGP Identifier and
OSPF Router ID, redistribution of routing information between BGP
and any other protocol, route selection in the presence of multiple
protocols, etc... are outside the scope of this spec.  Please keep
this in mind when sending your comments on the base spec.

Yakov.

---

From: [email-masked]
Date: Mon, 9 Sep 2002 11:50:46 -0700

Ah, sorry Yakov, I hadn't gotten to that thread in my mail yet.  Ok,
out-of-scope for the Base Spec., we'll save it for later.

Andrew

On Mon, Sep 09, 2002 at 11:49:38AM -0700, Yakov Rekhter wrote:
> To: [email-masked]
> cc: Manav Bhatia <[email-masked]>, Yakov Rekhter <[email-masked]>,
>    "Natale, Jonathan" <[email-masked]>,
>    "'Abarbanel,
>     Benjamin'" <[email-masked]>, [email-masked]
> In-Reply-To: Your message of "Mon, 09 Sep 2002 11:36:39 PDT."
>              <[email-masked]> 
> Date: Mon, 09 Sep 2002 11:49:38 -0700